[target.xtensa-esp32-none-elf]
runner = "espflash --monitor"

[build]
rustflags = [
  "-C", "link-arg=-nostartfiles",
  "-C", "link-arg=-Wl,-Tlinkall.x",
]
target = "xtensa-esp32-none-elf"

[unstable]
build-std = ["core"]

#[registries]
#flcou-hall-sensor = { index = "https://gitlab.com/florent.couzon/flcou-hall-sensor/-/commits/flcou-hall-sensor.git/.git/index" }

[net]
git-fetch-with-cli = true 